List plans
curl --request GET \
--url https://dev.api.withconvexity.com/v1/subscriptions/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.api.withconvexity.com/v1/subscriptions/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.api.withconvexity.com/v1/subscriptions/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Plans retrieved successfully",
"data": [
{
"id": 3,
"name": "Pro",
"description": "For growing teams",
"isActive": true,
"type": "RECURRING",
"productId": 12,
"priceMonthly": 1500000,
"currency": "NGN",
"currencySign": "₦",
"currencySymbol": "NGN",
"creditRate": {
"api_call": 1
},
"planQuotas": [
{
"id": "q_1",
"planId": 3,
"metric": "api_calls",
"limitValue": 100000,
"windowSeconds": 2592000
}
],
"createdBy": "admin_1",
"createdAt": "2026-01-10T08:00:00.000Z",
"updatedAt": "2026-05-02T11:20:00.000Z"
}
]
}{
"status": false,
"message": "Authorization token is missing or malformed."
}Subscriptions
List plans
Returns all active plans, including their quotas and credit rates.
GET
/
v1
/
subscriptions
/
plans
List plans
curl --request GET \
--url https://dev.api.withconvexity.com/v1/subscriptions/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.api.withconvexity.com/v1/subscriptions/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.api.withconvexity.com/v1/subscriptions/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": true,
"message": "Plans retrieved successfully",
"data": [
{
"id": 3,
"name": "Pro",
"description": "For growing teams",
"isActive": true,
"type": "RECURRING",
"productId": 12,
"priceMonthly": 1500000,
"currency": "NGN",
"currencySign": "₦",
"currencySymbol": "NGN",
"creditRate": {
"api_call": 1
},
"planQuotas": [
{
"id": "q_1",
"planId": 3,
"metric": "api_calls",
"limitValue": 100000,
"windowSeconds": 2592000
}
],
"createdBy": "admin_1",
"createdAt": "2026-01-10T08:00:00.000Z",
"updatedAt": "2026-05-02T11:20:00.000Z"
}
]
}{
"status": false,
"message": "Authorization token is missing or malformed."
}Authorizations
OAuth 2.0 access token from Auth-Edge.
Response
OK
The response is of type object.
⌘I
